local function HunterSetup()
	local L = AceLibrary("AceLocale-2.2"):new("CastYeller-Hunter")
	
	L:RegisterTranslations("enUS", function() return {
		['Feign Death'] = 'feigns death.',
		['Wyvern Sting'] = '$SPELL on $TARGET',
		['Misdirection'] = '$SPELL on $TARGET',
		['Freezing Trap'] = '$SPELL',
	} end)
	
	L:RegisterTranslations("frFR", function() return {
		['Feign Death'] = {
			'a tr\195\169buch\195\169.',
			'fait une micro-sieste.',
			"s'endort en sursaut.",
			"admire un caillou de près, très près.",
		},
		['Wyvern Sting'] = {
			'$TARGET va faire un petit somme !',
			'$TARGET, tes paupi\195\168res sont lourdes ! Dors, je le veux !',
		},
		['Misdirection'] = {
			"C'est pas moi, c'est $TARGET !",
			"Livraison express pour $TARGET !",
			"Hey, les moches ! J'aurais pas aim\195\169 ce qu'a dit $TARGET sur votre m\195\168re !",
		},
		['Freezing Trap'] = {
			"Et un iceberg, un !",
			"Apportez \195\160 boire, j'apporte les gla\195\167ons !",
			"J'invoque Mister Freeze, regardez !",
		},
	} end)
	
	return {
		['Misdirection'] = {
			events     = { success = L['Misdirection'] },
			channel    = { '_BROADCAST', '_WHISPER' },
		},
		['Freezing Trap'] = {
			events     = { success = L['Freezing Trap'] },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Wyvern Sting'] = {
			events     = { start = L['Wyvern Sting'] },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Feign Death'] = {
			events     = { success = L['Feign Death'] },
			channel    = 'EMOTE',
			conditions = { 'combat', 'party' },
		},
		['Tranquilizing Shot'] = {
			events     = { success = true },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
	}
end

CastYeller:RegisterAnnounces('HUNTER', HunterSetup)