local function MageSetup()
	local BS = AceLibrary("Babble-Spell-2.2")
	local L = AceLibrary("AceLocale-2.2"):new("CastYeller-Mage")
	
	L:RegisterTranslations("enUS", function() return {
		['Portal'] = true,
	} end)
	
	L:RegisterTranslations("frFR", function() return {
		['Portal'] = 'Portail',
	} end)
	
	return {
		['Counterspell'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
		},
		
		-- Polymorphs
		['Polymorph'] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Polymorph: Pig'] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
			spellKey   = 'Polymorph',
			spellDisplay = BS['Polymorph'],
		},
		['Polymorph: Turtle'] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
			spellKey   = 'Polymorph',
			spellDisplay   = BS['Polymorph'],
		},
		
		-- Portals
		["Portal: Darnassus"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Exodar"] = {
			events     = { start = true, },
			channel    = '_BROADCAST', 
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Ironforge"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Orgrimmar"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Shattrath"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Silvermoon"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Stormwind"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Thunder Bluff"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
		["Portal: Undercity"] = {
			events     = { start = true, },
			channel    = '_BROADCAST',
			spellKey   = 'Portal',
			spellDisplay   = L['Portal'],
		},
	}
end

CastYeller:RegisterAnnounces('MAGE', MageSetup)